[pCloud] pCloud pose problème avec Linux 5.4 (Résolu)

Applications, problèmes de configuration réseau
Répondre
jimarch
archer de cavalerie
Messages : 154
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

[pCloud] pCloud pose problème avec Linux 5.4 (Résolu)

Message par jimarch »

Bonjour à toutes et à tous,

Ceci s'adresse en priorité aux utilisateurs de pCloud mais il se peut que les utilisateurs de fuse soient également affectés par le problème.

J'ai depuis plusieurs jours un problème de montage de pCloud très exactement depuis le passage de Linux 5.3 à 5.4
pCloud se met en place, fait éventuellement ses synchronisations, mais impossible de gèrer directement dans Dolphin les fichiers.
Pire, dans un cas, il m'a complètement planté le système.

Sur le forum anglais, plusieurs utilisateurs signalent le même problème sans doute dû à un problème lié à Fuse
https://bbs.archlinux.org/viewtopic.php?id=251013
pCloud Drive fuse refusing to mount on linux 5.4.0-arch1-1

J'ai attendu d'avoir la version de Linux 5.4.2.arch1-1, mais (je n'ai pas essayé !) le fil de discussion ci-dessus indique que le problème n'est pas réglé :
Kernel 5.4.2 was published today but I always have the same issue as previous posters...
Then, I downgraded again to 5.3.13 to have pcloud working. Any info ?
D'autres archers ont-ils rencontré le même problème ?
Pour ma part, je reste prudemment à 5.3.13.1-1

Cdt
Dernière modification par jimarch le mer. 18 déc. 2019, 10:33, modifié 2 fois.
| Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
laurent85
Elfe
Messages : 659
Inscription : mar. 16 oct. 2018, 21:05

Re: [pCloud] pCloud pose problème avec Linux 5.4

Message par laurent85 »

Bonjour,
jimarch a écrit :
sam. 07 déc. 2019, 11:50
Pour ma part, je reste prudemment à 5.3.13.1-1
Ou installe linux-lts pour profiter des mises à jour du noyau.
Tuto Kde Plasma + gestionnaire de fenêtres i3
Live USB avec persistance Archuseriso
Avatar de l’utilisateur
Kristen
Elfe
Messages : 667
Inscription : ven. 14 oct. 2011, 10:24
Localisation : Finistère France

Re: [pCloud] pCloud pose problème avec Linux 5.4

Message par Kristen »

J'ai ce problème aussi avec le noyau 5.4.2
Vu qu'en ce moment j'ai modifié pas mal de chose dans mon PC et je pensais que j'avais fait une connerie !
Du coup, je vais peut-être essayer avec le noyau LTS.
Depuis le 14 octobre 2011 sur archlinux avec actuellement KDE Plasma sur :
PC fixe i5 - CG GeForce GTX 750 Ti - Mémoire 12 Go - SSD128 Go - DD1000 Go
et
PC portable : Lenovo ThinkPad T520i
Debian Buster Gnome sur Lenovo Ideapad S130-14IGM
Thomasb
yeomen
Messages : 230
Inscription : dim. 28 avr. 2019, 14:49

Re: [pCloud] pCloud pose problème avec Linux 5.4

Message par Thomasb »

Kristen a écrit :
sam. 07 déc. 2019, 13:35
J'ai ce problème aussi avec le noyau 5.4.2
pCloud vient de me répondre qu'ils supporteront le noyau 5.4 à partir de la prochaine version.
Avatar de l’utilisateur
Kristen
Elfe
Messages : 667
Inscription : ven. 14 oct. 2011, 10:24
Localisation : Finistère France

Re: [pCloud] pCloud pose problème avec Linux 5.4

Message par Kristen »

Plus qu'à espérer qu'il sortent la prochaine version rapidement alors !!
Depuis le 14 octobre 2011 sur archlinux avec actuellement KDE Plasma sur :
PC fixe i5 - CG GeForce GTX 750 Ti - Mémoire 12 Go - SSD128 Go - DD1000 Go
et
PC portable : Lenovo ThinkPad T520i
Debian Buster Gnome sur Lenovo Ideapad S130-14IGM
jimarch
archer de cavalerie
Messages : 154
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [pCloud] pCloud pose problème avec Linux 5.4

Message par jimarch »

Pour info.
Lu sur : https://aur.archlinux.org/packages/pclo ... ent-720581
coxackie commented on 2019-12-13 13:22

as I have mentioned before: pCloud devs are supposedly working on it. Today I asked again and got a response that hopefully by the end of next week there will be a new version to deal with the issue.
Patience donc !

Quelqu'un a-t-il essayé avec 5.4.3.arch1-1 ?
| Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
jimarch
archer de cavalerie
Messages : 154
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [pCloud] pCloud pose problème avec Linux 5.4

Message par jimarch »

Pcloud vient de notifier que :

La nouvelle version de pcloud est disponible :

Nouveau dans la version : 1.7.2
Added support for Fuse 3.0 and later
Added support for Kernel 5.4.0 and later

Elle devrait donc être très prochainement disponible dans AUR !
| Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
jimarch
archer de cavalerie
Messages : 154
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [pCloud] pCloud pose problème avec Linux 5.4 (résolu)

Message par jimarch »

OK pour moi.
Nouvelle version de Pcloud installée (1.7.2)
Fuse en fuse3 3.9.0-1
Linux 5.4.3

Je passe en Résolu
| Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Avatar de l’utilisateur
Kristen
Elfe
Messages : 667
Inscription : ven. 14 oct. 2011, 10:24
Localisation : Finistère France

Re: [pCloud] pCloud pose problème avec Linux 5.4 (Résolu)

Message par Kristen »

Pareil pour moi, pcloud a téléchargé la nouvelle version et après redémarrage de pcloud, ça fonctionne bien de nouveau !
Depuis le 14 octobre 2011 sur archlinux avec actuellement KDE Plasma sur :
PC fixe i5 - CG GeForce GTX 750 Ti - Mémoire 12 Go - SSD128 Go - DD1000 Go
et
PC portable : Lenovo ThinkPad T520i
Debian Buster Gnome sur Lenovo Ideapad S130-14IGM
Thomasb
yeomen
Messages : 230
Inscription : dim. 28 avr. 2019, 14:49

Re: [pCloud] pCloud pose problème avec Linux 5.4 (Résolu)

Message par Thomasb »

Arg, j'ai dû casser un truc :

Code : Tout sélectionner

A JavaScript error occurred in the main process
Uncaught Exception:
Error: ENOENT: no such file or directory, open 'libfuse.so.2'
    at Object.fs.openSync (fs.js:577:3)
    at Object.module.(anonymous function) [as openSync] (ELECTRON_ASAR.js:166:20)
    at fs.readFileSync (fs.js:483:33)
    at fs.readFileSync (ELECTRON_ASAR.js:563:29)
    at new DynamicLibrary (/opt/pcloud/resources/app/node_modules/ffi/lib/dynamic_library.js:67:21)
    at Object.Library (/opt/pcloud/resources/app/node_modules/ffi/lib/library.js:45:12)
    at initLibrary (/opt/pcloud/resources/app/main.js:1000:21)
    at Object.<anonymous> (/opt/pcloud/resources/app/main.js:1137:1)
    at Object.<anonymous> (/opt/pcloud/resources/app/main.js:5721:3)
    at Module._compile (internal/modules/cjs/loader.js:711:30)
benjarobin
Maître du Kyudo
Messages : 15985
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [pCloud] pCloud pose problème avec Linux 5.4 (Résolu)

Message par benjarobin »

@Thomasb As tu bien mis à jour ton système ? Quelle est la version de pcloud-drive ?
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)
Thomasb
yeomen
Messages : 230
Inscription : dim. 28 avr. 2019, 14:49

Re: [pCloud] pCloud pose problème avec Linux 5.4 (Résolu)

Message par Thomasb »

benjarobin a écrit :
mer. 18 déc. 2019, 20:20
@Thomasb As tu bien mis à jour ton système ? Quelle est la version de pcloud-drive ?
La commande pacman -Syu répond : there is nothing to do
La version de pcloud-drive est 1.7.2-1 :

Code : Tout sélectionner

➜  ~ sudo pacman -Qi pcloud-drive 
Name            : pcloud-drive
Version         : 1.7.2-1
Description     : pCloud drive. Electron edition.
Architecture    : x86_64
URL             : https://www.pcloud.com
Licenses        : None
Groups          : None
Provides        : None
Depends On      : gconf  fuse3
Optional Deps   : None
Required By     : None
Optional For    : None
Conflicts With  : pcloud-git  pcloud
Replaces        : None
Installed Size  : 134,92 MiB
Packager        : Unknown Packager
Build Date      : mer. 18 déc. 2019 19:44:26 CET
Install Date    : mer. 18 déc. 2019 19:47:10 CET
Install Reason  : Explicitly installed
Install Script  : No
Validated By    : None

jimarch
archer de cavalerie
Messages : 154
Inscription : mer. 26 déc. 2012, 20:38
Localisation : La Roche sur Yon - 85000

Re: [pCloud] pCloud pose problème avec Linux 5.4 (Résolu)

Message par jimarch »

@Thomasb
Peux-tu vérifier ta version de fuse : Fuse en fuse3 --> 3.9.0-1
| Plasma - Kde | Notebook Clevo W740SU | Plateforme Intel Haswell avec Intel Core i7-4750HQ | Intel Iris Pro graphics 5200
Sauvegardes quotidiennes de mes système et données par BORG
Thomasb
yeomen
Messages : 230
Inscription : dim. 28 avr. 2019, 14:49

Re: [pCloud] pCloud pose problème avec Linux 5.4 (Résolu)

Message par Thomasb »

jimarch a écrit :
mer. 18 déc. 2019, 23:39
@Thomasb
Peux-tu vérifier ta version de fuse : Fuse en fuse3 --> 3.9.0-1
C'est bon :

Code : Tout sélectionner

➜  ~  sudo pacman -Qi fuse3       
Name            : fuse3
Version         : 3.9.0-1
Description     : A library that makes it possible to implement a filesystem in a userspace program.
Architecture    : x86_64
URL             : https://github.com/libfuse/libfuse
Licenses        : GPL2
Groups          : None
Provides        : None
Depends On      : fuse-common  glibc
Optional Deps   : None
Required By     : pcloud-drive
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 441,73 KiB
Packager        : Anatol Pomozov <anatol.pomozov@gmail.com>
Build Date      : sam. 14 déc. 2019 18:29:29 CET
Install Date    : mer. 18 déc. 2019 19:44:31 CET
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature
Répondre